AlterTableStatement.OperationType (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.cql
Enum AlterTableStatement.OperationType

    java.lang.Object
      java.lang.Enum<AlterTableStatement.OperationType>
          org.apache.cassandra.cql.AlterTableStatement.OperationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AlterTableStatement.OperationType>

Enclosing class:
  AlterTableStatement

    public static enum AlterTableStatement.OperationType

extends java.lang.Enum<AlterTableStatement.OperationType>

Enum Constant Summary
`ADD`
`ALTER`
`DROP`

Method Summary
`static AlterTableStatement.OperationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlterTableStatement.OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final AlterTableStatement.OperationType ADD

### ALTER

    public static final AlterTableStatement.OperationType ALTER

### DROP

    public static final AlterTableStatement.OperationType DROP

Method Detail

### values

    public static AlterTableStatement.OperationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AlterTableStatement.OperationType c : AlterTableStatement.OperationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AlterTableStatement.OperationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation